Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.siebeleai
Class SiebelEAIApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.appconn.common.ApplicationException
                  com.stc.connector.appconn.siebeleai.SiebelEAIApplicationException

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData, java.io.Serializable

    public class SiebelEAIApplicationException

extends com.stc.connector.appconn.common.ApplicationException
implements com.stc.connector.persistence.bpel.PersistableData

Exception class for Siebel EAI application.

Version:
  $Revision: 1.6 $
See Also:
  Serialized Form

Constructor Summary
`SiebelEAIApplicationException()` Creates a new instance of `SiebelEAIApplicationException` without detail message.
`SiebelEAIApplicationException(java.lang.String msg)` Constructs an instance of `SiebelEAIApplicationException` with the specified detail message.

Method Summary
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists (serializes) this structure.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restore (deserialize) this message.
`void` | `setLocalizedMessage(java.lang.String localizedMessage)`
`void` | `setMessage(java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SiebelEAIApplicationException

    public SiebelEAIApplicationException()

  Creates a new instance of `SiebelEAIApplicationException` without detail message.

### SiebelEAIApplicationException

    public SiebelEAIApplicationException(java.lang.String msg)

  Constructs an instance of `SiebelEAIApplicationException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### setMessage

    public void setMessage(java.lang.String message)

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### setLocalizedMessage

    public void setLocalizedMessage(java.lang.String localizedMessage)

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists (serializes) this structure.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutputStream to which the Java Bean instance is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `din` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.